Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 246879 - app-editors/cooledit: fails with forced --as-needed and gcc 4.2+
Summary: app-editors/cooledit: fails with forced --as-needed and gcc 4.2+
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL: http://www.gentoo.org/proj/en/qa/asne...
Whiteboard: Vote; Pending decision by 08 Dec 2008
Keywords:
Depends on:
Blocks: as-needed gcc-4.3
  Show dependency tree
 
Reported: 2008-11-15 14:05 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-12-07 13:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (app-editors:cooledit-3.17.17:20081115-011635.log,65.30 KB, text/plain)
2008-11-15 14:06 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-15 14:05:37 UTC
I'm reporting this bug because the package in summary fails to build when forcing --as-needed on through spec files (check out http://blog.flameeyes.eu/2008/11/14/problems-and-mitigation-strategies-for-as-needed for details).

Check the attached build log.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-15 14:06:03 UTC
Created attachment 171828 [details]
Build log
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-26 01:22:12 UTC
This also fails with GCC 4.2+, yet no bug report has been open which means I doubt it is used much:

 gcc -DLOCALEDIR=\"\" -DLIBDIR=\"/usr/local/share/cooledit\" -DHAVE_CONFIG_H -I. -I. -I.. -I. -I.. -I../intl -g -O2 -c coolnext.c  -fPIC -DPIC -o .libs/coolnext.o
coolnext.c:50: error: static declaration of 'run_callbacks' follows non-static declaration
coollocal.h:52: error: previous declaration of 'run_callbacks' was here

Treecleaners: do you want to get rid of this?
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-02 05:26:49 UTC
(In reply to comment #2)
> This also fails with GCC 4.2+, yet no bug report has been open which means I
> doubt it is used much:

ACK

I feel it is not worth fixing and support masking for removal. Again, will take action in one week unless someone steps up. (Last update to freshmeat was 4 years ago)
Comment 4 Samuli Suominen gentoo-dev 2008-12-07 13:02:23 UTC
sorry guys but I was bored -> asneeded and implicit declarations fixed.